HVersion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Interface HVersion

    public interface HVersion

The `HVersion` interface defines some versioning constants that are accessible by using the java.lang.System method getProperty, with the appropriate property name.

Note that it is a valid implementation to return empty strings for HAVI_IMPLEMENTATION_NAME, HAVI_IMPLEMENTATION_VENDOR and HAVI_IMPLEMENTATION_VERSION strings.

In MHP, a call to `getProperty()` when referencing the constants listed in column Constant in the table below shall return a string as listed in column Value.

Constant | Value
--- | ---
HAVI_SPECIFICATION_VENDOR | "DVB"
HAVI_SPECIFICATION_NAME | "MHP"
HAVI_SPECIFICATION_VERSION | "<version>"

"<version>" shall be the MHP version to which this HAVi implementation is conformant, e.g.: "1.0" or "1.0.1" or "1.0.2" or "1.0.3".

Field Summary
`static String` | `HAVI_IMPLEMENTATION_NAME` A string constant describing the HAVi implementation name, as returned via java.lang.System.getProperty(HVersion.HAVI_IMPLEMENTATION_NAME).
`static String` | `HAVI_IMPLEMENTATION_VENDOR` A string constant describing the HAVi implementation vendor, as returned via java.lang.System.getProperty(HVersion.HAVI_IMPLEMENTATION_VENDOR).
`static String` | `HAVI_IMPLEMENTATION_VERSION` A string constant describing the HAVi implementation version, as returned via java.lang.System.getProperty(HVersion.HAVI_IMPLEMENTATION_VERSION).
`static String` | `HAVI_SPECIFICATION_NAME` A string constant describing the HAVi specification name, as returned via java.lang.System.getProperty(HVersion.HAVI_SPECIFICATION_NAME).
`static String` | `HAVI_SPECIFICATION_VENDOR` A string constant describing the HAVi specification vendor, as returned via java.lang.System.getProperty(HVersion.HAVI_SPECIFICATION_VENDOR).
`static String` | `HAVI_SPECIFICATION_VERSION` A string constant describing the HAVi specification version, as returned via java.lang.System.getProperty(HVersion.HAVI_SPECIFICATION_VERSION).

Field Detail

### HAVI_SPECIFICATION_VENDOR

    static final String HAVI_SPECIFICATION_VENDOR

  A string constant describing the HAVi specification vendor, as returned via java.lang.System.getProperty(HVersion.HAVI_SPECIFICATION_VENDOR).

  See Also:
    Constant Field Values

### HAVI_SPECIFICATION_NAME

    static final String HAVI_SPECIFICATION_NAME

  A string constant describing the HAVi specification name, as returned via java.lang.System.getProperty(HVersion.HAVI_SPECIFICATION_NAME).

  See Also:
    Constant Field Values

### HAVI_SPECIFICATION_VERSION

    static final String HAVI_SPECIFICATION_VERSION

  A string constant describing the HAVi specification version, as returned via java.lang.System.getProperty(HVersion.HAVI_SPECIFICATION_VERSION).

  See Also:
    Constant Field Values

### HAVI_IMPLEMENTATION_VENDOR

    static final String HAVI_IMPLEMENTATION_VENDOR

  A string constant describing the HAVi implementation vendor, as returned via java.lang.System.getProperty(HVersion.HAVI_IMPLEMENTATION_VENDOR).

  See Also:
    Constant Field Values

### HAVI_IMPLEMENTATION_VERSION

    static final String HAVI_IMPLEMENTATION_VERSION

  A string constant describing the HAVi implementation version, as returned via java.lang.System.getProperty(HVersion.HAVI_IMPLEMENTATION_VERSION).

  See Also:
    Constant Field Values

### HAVI_IMPLEMENTATION_NAME

    static final String HAVI_IMPLEMENTATION_NAME

  A string constant describing the HAVi implementation name, as returned via java.lang.System.getProperty(HVersion.HAVI_IMPLEMENTATION_NAME).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD